Bug 965955 - Add note on building from sources
Add note on building from sources
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ER5
: 6.0.0
Assigned To: Julian Coleman
Lukáš Petrovický
:
Depends On: 965601
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 03:27 EDT by Lukáš Petrovický
Modified: 2014-08-06 16:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 965601
Environment:
Last Closed: 2014-08-06 16:20:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Petrovický 2013-05-22 03:27:28 EDT
+++ This bug was initially created as a clone of Bug #965601 +++

Despite the fact we distribute source distributions, those cannot be compiled without access to internal repositories (e.g. MEAD repository).

We need to propagate that information visibly to our customers, likely in following form in documentation and/or sources distributions zips in a readme file:   

   On request, Red Hat shall provide customers of [PRODUCT NAME] with
   sufficient access to certain contents of our internal Maven
   repository to facilitate rebuilding of original or modified
   versions of components of [PRODUCT NAME]. Such access will be
   provided by Red Hat to the requesting customer without undue delay.
Comment 3 Julian Coleman 2013-10-30 11:12:07 EDT
As part of the GA, we will provide:

  1) product binaries
  2) maven repository containing product maven artifacts and source/patch zips
  3) example maven settings file
  4) example mave POM

With 2) to 4), it should be possible to re-build product components, as well as to build applications against the product.
Comment 4 Ryan Zhang 2013-12-04 05:45:55 EST
It seems no action is needed for this case.
Please verify it.
Comment 5 Lukáš Petrovický 2013-12-17 04:21:30 EST
I can see no possible QE action for this one.

Note You need to log in before you can comment on or make changes to this bug.